﻿----------------------------------------------------------------------------------------------------
-- DroodFocus 4.2.1 - Localization
-- Meranannon - Discordia - Vol'jin (EU)
-- rev 2
----------------------------------------------------------------------------------------------------

local DF = DF_namespace
local coolName = "|cFFFFFF00DroodFocus "..DROODFOCUS_VERSION.."|cFFFFFFFF"
local replaceString="#meleeAP (u)|#minAP (u)|#maxAP (u)|#rangedAP (u)|#meleeCrit (%)|#minCrit (%)|#maxCrit (%)|#meleeHit (%)|#rangedHit (%)|#meleeHaste (%)|#rangedHaste (%)|#expertise (%)|#mastery (%)|#armor (u)|#dodge (%)|#parry (%)|#savagedef (u)|* -> New line"

-- changelog and reminder text
DF.automaticReminder=true

-- Englais/English (Defaut)
DF.locale = {
	["DF413_REMINDERTEXT"]=""
	.."4.2.1 beta:\n"
	.."* Minors code and options fix.\n"
	.."* CD Timers on icons fixed\n"
	.."* Added new options in 'infos' module : Savage défense. Theorical amount of damage absorbeb by your SD shield. Based on your PA in real time.\n"
	.."* Blood splatters desactivated by default in raid.\n\n"
	.."4.2.0 beta:\n"
	.."* New module 'Special FX': For each spells, you can assign  specials FX (like OOC). 'OOC module' removed and replaced by new system.\n"
	.."* New module 'EclipseBar'.\n"
	.."* Configuration for feral and moonkin updated.\n"
	.."* New stance for druids : Moonkin form and Tree of life are separated.\n"
	.."* Bars can be stacked above or below anchors.\n"
	.."* News options for timerbars 1 and 2.\n"
	.."* TimeToDie : calculate Dps from last 10 seconds with a minimum of 4 secondes dps on the target to be available.\n"
	.."* New option to 'Visibility' module : Visible when active target only.\n"
	.."* Icons custom positions fixed.\n"
	.."* Icons module : New timer for periodics debuffs: Next dot. For périodic debuff, instead of the CD timer, the time remaining for the next dot is displayed.\n\n"
	.."Enjoy !",
	["versionName"]=coolName,
	["saved"]=coolName.." - Configuration saved: ",
	["loaded"]=coolName.." - Configuration loaded: ",
	["reset"]=coolName.." - Configuration reset to default.",
	["welcome"]=coolName.." - Type '/droodfocus' to show commands.",
	["commands"]= coolName.." Commands :\n/df options: open main configuration panel\n/df configmode: swap to configuration mode.\n/df reset: reset actual configuration.\n/df buff|debuff: show in the chat a list of actifs buff or debuff with spells ID.\n/df center: Replace DF at middle of screen.\n/df practice: Start/stop training mode.\n/df news: See the changelog.",
	["locked"]=coolName.." - Configuration mode desactivated.",
	["unlocked"]=coolName.." - Configuration mode activated.",
	["reinit"]=coolName.." - Configuration reset.",
	["badconfig"]=coolName.." - Configuration invalid. Too old version.",
	["blood"]="Splatters blood",
	["persistence"]="Persistence",
	["scale"]="Scale",
	["active"]="Activated",
	["mode"]="Blending mode",
	["level"]="Frame level",
	["ooc"]="Special FX",
	["positionx"]="Coordinate X",
	["positiony"]="Coordinate Y",
	["width"]="Width",
	["height"]="Height",
	["scalemin"]="Scale",
	["speed"]="Speed",
	["scalemax"]="Amplitude",
	["textureOn"]="Texture when active",
	["textureOff"]="Texture when inactive",
	["alert"]="Warning icon",
	["texture1"]="Texture 'Not behind'",
	["texture2"]="Texture 'Out of range'",
	["texture3"]="Texture 'Aggro'",
	["powerbar"]="Power bar",
	["texturePath"]="Texture",
	["fontPath"]="Font",
	["fontSize"]="Font size",
	["border"]="Borders",
	["color"]="Color",
	["colors"]="Colors",
	["size"]="Size",
	["showText"]="Text enabled",
	["default"]="Default",
	["nrj"]="Energy",
	["rage"]="Rage",
	["mana"]="Mana",
	["texts"]="Texts",
	["numbers"]="Numbers",
	["arrows"]="Arrows",
	["effects"]="Specials effects",
	["parts"]="ADDON'S PARTS",
	["configmode"]="Configuration mode",
	["incombat"]="Visible in combat only",
	["haveTarget"]="Visible if active target",
	["config"]="Config.",
	["healthbar"]="Health bar",
	["colorGood"]="High health",
	["colorAverage"]="Average health",
	["colorBad"]="Low health",
	["text"]="Text",
	["manabar"]="Mana bar",
	["targetbar"]="Target bar",
	["threatbar"]="Threat bar",
	["combo"]="Combo",
	["offsetx"]="Offset X",
	["offsety"]="Offset Y",
	["icons"]="Icons",
	["activeAlpha"]="Alpha active",
	["inactiveAlpha"]="Alpha inactive",
	["timerbar"]="TimerBars",
	["iconbar"]="IconBars",
	["timerange"]="Time range (in sec.)",
	["timeline"]="Time lines",
	["order"]="Sort by timeleft",
	["debuffs"]="(De)Buffs list",
	["automatic"]="Automatic placement",
	["auto"]="Auto. mode",
	["enter"]="Enter",
	["leave"]="Leave",
	["infosmode"]="In configuration mode, you can move UI elements with the mouse and open element's config by rigth click mouse button on it.",
	["spells"]="spells list",
	["unknow"]="Unknow",
	["ampspeed"]="Amplitude Speed",
	["grid"]="Grid",
	["aligngrid"]="Align to grid",
	["gridsizex"]="Grid offset X",
	["gridsizey"]="Grid offset Y",
	["none"]="None",
	["TOPLEFT"]="TopLeft",
	["TOP"]="Top",
	["TOPRIGHT"]="TopRight",
	["LEFT"]="Left",
	["CENTER"]="Center",
	["RIGHT"]="Right",
	["BOTTOMLEFT"]="BottomLeft",
	["BOTTOM"]="Bottom",
	["BOTTOMRIGHT"]="BottomRight",
	["align"]="Align",
	["crit"]="Crit",
	["pa"]="PA",
	["infostext"]="Infos format",
	["infos"]="Infos",	
	["hasIcon"]="Create icon for this spell",
	["hastimerbar"]="Create timerbar for this spell",
	["ids"]="ID's list",
	["sType"]="Spell type",
	["isPerso"]="Show yours debuffs only",
	["toCombo"]="Reflect stack > combo",
	["up"]="Move up",
	["down"]="Move down",
	["new"]="New",
	["kill"]="Delete",
	["infostance"]="Visible in above stances:",
	["form0"]="Humanoïd",	
	["form1"]="Stance 1",	
	["form2"]="Stance 2",	
	["form3"]="Stance 3",	
	["form4"]="Stance 4",	
	["form5"]="Stance 5",	
	["form6"]="Stance 6",	
	["form7"]="Stance 7",	
	["orientation"]="Orientation",
	["brokerInfo1"]="Left mouse button to open main configuration panel",
	["brokerInfo2"]="Right mouse button to toggle config mode",
	["background"]="Background",
	["configname"]="Current configuration name",
	["save"]="Save",
	["loadlist"]="Saved config.",
	["DFmainpanel"]="Independent configuration",
	["introduction"]= "DroodFocus All-in-One addon for feral druids.\n* Statut bars : Energy, Rage, Mana, Health.\n* Combo's bar.\n* Buff/Debuff bar.\n\nFor every buff/debuff handle by DroodFocus, a small icon give you time left and number of stack.\n\nDebuffs are filtered to show all debuff or only yours.\nAll talents and glyphes are supported.\n\nThank you to use DroodFocus.\n\n\nMeranannon, Discordia (Vol'jin - EU)",		
	["spellid"]="Spell ID",
	["mainmain"]="Configuration panel",
	["anchor"]="Anchor",
	["portrait"]="Portrait",
	["texture"]="Texture",
	["None"]="None",
	["getUptime"]="Watch uptime",
	["cursorspeed"]="Spark speed",
	["showSpark"]="Show spark",
	["first"]=coolName.." - First launch, default configuration loaded.",
	["visible"]="Visible content",
	["colonne"]="Nb of columns bar 1",
	["colonne2"]="Nb of columns bar 2",
	["spellslist"]="Spells book",
	["strongcheck"]="Match exact ID",
	["cooldown"]="Cooldown ending",
	["sharemedia"]="ShareMedia",
	["mpath"]="File path",
	["sharemediainfos"]="Adding medias to ShareMedia (reconnection needed).",
	["mtype"]="Media type",
	["add"]="Add",
	["mname"]="Media name",
	["test"]="Test",
	["ptype"]="Fitting",
	["linear"]="Linear",
	["radial"]="Radial",
	["sangle"]="Start angle",
	["eangle"]="End angle",
	["rayon"]="Radius",	
	["gps"]="G.P.S.",
	["toffsetx"]="Text offset X",
	["toffsety"]="Text offset Y",
	["number"]="Time",
	["stack"]="Stack",
	["DFOPTIONSelement"]="Main",
	["leftMB"]="Left mouse button to move",
	["rightMB"]="Right mouse button to open configuration",
	["rightMBanchor"]="Right mouse button to open configuration of this anchor",
	["showcd"]="Cooldown active",
	["activeAlphaCD"]="Alpha on CD",
	["cdoffsety"]="CD bar offset Y",
	["cdbar"]="CD Bar",
	["sound"]="Sound",
	["internalcd"]="Internal CD (in sec.)",
	["growup"]="Active spell at top",
	["visibility"]="Visibility",
	["infovisibility"]="All objects visible only under the following conditions:",
	["prop"]="Bars 1 Proportional",
	["prop2"]="Bars 2 Proportional",
	["usertext"]="Custom text",
	["spiral"]="Countdown animation",
	["spiral1"]="Normal, flashing at end",
	["spiral2"]="WoW Standard",
	["spiral3"]="WoW Standard (reverse)",
	["pointpa"]="PowerAttack dot",
	["talent"]="Talent tree",
	["talentinfos"]="Assign configuration to a talent tree.",
	["talentinfos2"]="This configuration will be loaded automatically when you change talent tree.",
	["talentinfos3"]="Be careful if you assign a configuration, be sure to save the changes made to this configuration or if they will be lost when you change talent spec.",
	["set"]="Actual",
	["clear"]="None",
	["currenttalent"]="Current configuration set:",
	["pulse"]="Pulse",
	["decimal"]="Show decimal",
	["minimap"]="Show minimap default icon",
	["colorchg"]="Dynamic color",
	["target"]="Target",
	["always"]="Always visible",
	["castbar"]="CastBar",
	["sformat"]="String format",
	["normal"]="interruptible spell",
	["interrupt"]="not interruptible spell",
	["interval"]="Minimum interval",
	["AlertShowDebuff"]="Show debuff icons",
	["AlertShowBuff"]="Show buff icons",
	["pulse2"]="Impulsion on activation",	
	["loadconfigansw"]="What do you want to do with current spell list ?",
	["loadconfigkeep"]="Keep",	
	["loadconfigdisc"]="Replace",		
	["bearform"]="Bear form",
	["aquaticform"]="Aquatic form",
	["catform"]="Cat form",
	["travelform"]="Travel form",
	["moonkinform"]="Moonkin",
	["flightform"]="Flight form",
	["Tree"]="Tree of life form",
	["plbuff"]="Player buff",
	["pldebuff"]="Player debuff",
	["tabuff"]="Target buff",
	["tadebuff"]="Target debuff",
	["fobuff"]="Focus buff",
	["fodebuff"]="Focus debuff",
	["pebuff"]="Pet buff",
	["pedebuff"]="Pet debuff",
	["plcombo"]="Combo point",
	["arrowpos1"]="Arrow 1 position",
	["arrowpos2"]="Arrow 2 position",
	["arrowpos3"]="Arrow 3 position",
	["arrowpos4"]="Arrow 4 position",
	["arrowpos5"]="Arrow 5 position",
	["arrowpos6"]="Arrow 6 position",
	["practiceupd"]="Practice over. Do you want to replace current spell list with practice spell list ?",
	["practicemode"]="Practice mode.",
	["practicewindow"]="Practice",
	["practiceCheckBuff"]="Check buff.",
	["practiceCheckDebuff"]="Check debuff.",
	["practiceCheckAura"]="Check aura too.",
	["repyes"]="YES",
	["repno"]="NO",
	["stackup1"]="Stack bars 1 above anchor.",
	["stackup2"]="Stack bars 2 above anchor.",
	["anim"]="special FX",
	["power"]="Puissance",
	["alpha"]="Opacity",
	["begin"]="opening",
	["middle"]="active",
	["end"]="closing",
	["rotate"]="Rotation",
	["infospos"]="Position",
	["infoscale"]="Scale",
	["infoalpha"]="Opacity",
	["infospeed"]="FX speed",
	["infopulse"]="FX Pulse",
	["infossize"]="FX Size and texture",
	["chaker"]="Chaker",
	["animatic"]="Animation list",
	["fake"]="Test",
	["fxname"]="FX name",
	["customtexture"]="Custom texture",
	["timer"]="Timer",
	["small"]="small model",
	["above"]="above FX",
	["eclipsebar"]="Eclipse bar",
	["lunaire"]="Lunar",
	["solaire"]="Solar",
	["copy"]="Copy",
	["paste"]="Paste",
	["infosize"]="Sizes",
	["NotInRaid"]="Desactivated in raid.",
	["bar1"]="Bars 1",
	["bar2"]="Bars 2",
}

DF.help ={
	["ID's list"]="List of Spells ID|comma separator. You can find SpellID in predefinited list or on Wowhead.com|For exemple, 'Savage Roar' link: http://www.wowhead.com/?spell=52610.|Spell ID is 52610.| |For 'ComboPoint' type, simply enter number of combopoints needed.",
	["Level"]="Level|Set the level of this frame (determines which of overlapping frames shows on top).|Higher numbers always show up on top of lower numbers.",
	["Blend mode"]="Blend mode|Blend mode of the texture.|Adds texture color values to the underlying color values, using the alpha channel;|Light areas in the texture lighten the background while dark areas are more transparent.",
	["Spell ID"]="Spell ID|ID of the spell will trigger the effect.|You can find SpellID on http://www.wowhead.com.",
	["Text offset"]="Offset|Offset of text to anchor.",
	["Point offset"]="Offset|Space between each point.",
	["Scale"]="Scale|Zoom level.",
	["Persistence"]="Persistence|The time that the texture will remain visible.",
	["Infos format"]="String format|Following strings will by replaced by theirs values:|"..replaceString,
	["Slide speed"]="Slide speed|In automatic mode, the icons slide to their positions at the selected speed.",
	["Automatic placement"]="Automatic placement|In this mode the icons are stored automatically.",
	["Sort by timeleft"]="Sort by timeleft|In automatic mode, the spells can be sorted by time remaining.",
	["Alpha"]="Alpha|Sets the alpha (transparency).",
	["Time range"]="Time range|Specifies the time range in seconds for bars.",
	["Time lines"]="Time lines|Indicates whether the lines represent the running time are displayed.",
	["Arrows"]="Arrows|Indicates whether the arrows on the power bar are visible.",
	["Spell type"]="Spell type|Indicates if this is a player/target buff or debuff or combo point based|NB: for ComboPoint, icon or bar are inactives.",
	["Uptime"]="Uptime|Indicates whether the uptime of spells is tracked.|Uptime indicates how long the buff/debuff has been active during the fight.|type '/df uptime' after a fight to see summary.| |Warning! only accurate on dummy, swapping or lost target will corrupt uptime.",
	["Scan spell"]="Spell filtering|Show only your debuffs.",
	["Stack > Combo"]="Stack > Combo|If checked, numbers of combo points following numbers of stack of the spell.",
	["Cursor speed"]="Spark speed|Statusbars are progressive. This is the moving speed of spark.",
	["Stance"]="Stance|Changes depending on the player class.|All stances aren't available for all classes.",
	["Humanoïd"]="Default stance|Available for all classes.",
	["spark"]="Spark|Indicates whether the spark at the end of the bar is visible.",
	["speed"]="Amplitude speed.",
	["position"]="Coordinate|Relative to anchor.",
	["iposition"]="Coordinate|Relative to anchor. Override automatic position if not egal to zero.",
	["colonne"]="columns|For automatic mode, number of icons per line.",	
	["spellslist"]="Spells book|Click to add spellID to the editBox.|[E] spells from book.|[C] Special spells.|[P] Trinket proc.",
	["strongcheck"]="Match exact ID|The spells scanned must exactly match the Id.|Most often not checked. By default, just the name of (de)buff is used.|But for certain spells the names are the same|The strict verification allows to distinguish this spells.",
	["mpath"]="File path|The path to the file. of the form:|  \\\\Interface\\\\AddOns\\\\DroodFocus\\\\datas\\\\statusbar.tga| |Warning! the file must be present in the directory before launching WoW.|Otherwise it will not be valid.",
	["mname"]="Media name|The name who appear in the list.",
	["mtype"]="Media type|The filetype handle by ShareMedia.",
	["ptype"]="Fitting|Method of fitting points.",
	["gps"]="G.P.S.|Shows the direction where is located the raid/group member targeted.|Only works for players of your raid/group.|This feature is still being tested and may sometimes not work in certain areas.",
	["sound"]="Sounds|Play sound when player leaving combat.",
	["internalcd"]="Internal CD|Internal CD for the spell or trinket in seconde (0 = no CD).",
	["growup"]="Active spells at top|Inactive spells shown at bottom.",
	["abiSound"]="Spell sound|Play sound when buff/debuff is gain or apply.",
	["prop"]="Proportional Bars|By default, the bars covering a range of fixed time. | In this mode, the bar are proportionals to the remaining time from 0 to 100%.",	
	["blood"]="Splatters blood|Appears after a critical hit.",
	["infos"]="Infos|Displays real-time stats.",
	["ooc"]="Special FX|special effect when the buff proc.",
	["alert"]="Warning icon|Appears if you're too far or the wrong side of the target. Also shows buffs/debuffs earned.",
	["portrait"]="Portrait|Displays texture depending on the stance/form.",
	["cooldown"]="Cooldown ending|Pop when cooldown of spells ending.",
	["combo"]="Combo|Shows combo points for Druids / Rogues and runes for DeathKnights.",
	["usertext"]="Custom text|Replace default text on timerbars.",
	["spiral"]="Countdown animation|Visual representation of the countdown.",	
	["showcd"]="Cooldown active|Indicates whether the cooldown is activated.",	
	["align"]="Align|Reference point for the position of the object.",	
	["pointpa"]="PowerAttack dot|Small indicator at the top right of icons indicating the status of attack power.|A gray dot indicates that the PA is the same as when the application of the debuff.|A red dot, the PA is lower.|A green dot, the PA is higher.",
	["pulse"]="Pulse|The icons are zoomed at the application of spell. This indicates the power of zoom.",	
	["pulse2"]="Pulse|Power of impulsion.",	
	["decimal"]="Show decimal|Show decimal when timer < 3 sec.",
	["colorchg"]="Dynamic color|Color change with health points.",
	["target"]="Target|The unit used for localisation.",
	["always"]="Always visible|Visible in all form/aura.",
	["castbar"]="Cast bar|Show spell casting/channeling by your actual target.",
	["sformat"]="Text format|Following string will be replace by respective values|#m: Maximum value.|#c: Current value.|#p: Percentage.|#M: Maximum value in k.|#C: Current value in k.|#P: Percentage with decimal.|#t: Time to die in m:ss.",	
	["interval"]="Minimum interval|Minimum interval to update bar.",
	["arrowposition"]="Arrow position|ID of Spell to show energy needed.|Number <=100 for proportionnal position.|-1 to desactivate arrow.",
	["anim"]="Animation type|Define type of animation.",
	["customtexture"]="Custom texture|Without pathfile, texture from 'custom' directory."
}

if (GetLocale() == "frFR") then
	-- Français/French
	DF.locale = {
		["DF413_REMINDERTEXT"]=""
		.."4.2.1 beta:\n"
		.."* Corrections dans le code et les options.\n"
		.."* Le timer pour les CD refonctionne.\n"
		.."* Nouvelle option dans le module 'infos': Défense sauvage. Montant théorique d'absorption du bouclier. Basé sur votre PA en temps réel.\n"
		.."* Tâches de sang désactivées par defaut en raid.\n\n"
		.."4.2.0 beta:\n"
		.."* Nouveau module 'Special FX': Pour chaque sort, vous pouvez attribuer un effet spécial (Comme idées claires). Le module 'idée claire' a été remplacé par le nouveau système.\n"
		.."* Nouveau module 'EclipseBar'.\n"
		.."* Configurations pour feral et équilibre mise à jour.\n"
		.."* Nouvelle posture pour les druides: Forme de sélénien et d'arbre de vie.\n"
		.."* Les barres peuvent être placées au dessus ou en dessous des ancres.\n"
		.."* Nouvelles options pour les barres de temps.\n"
		.."* TimeToDie : le dps est calculé sur les 10 dernière seconde avec un minimum de 4 secondes.\n"
		.."* nouvelle option dans le module 'Visibilité' : Visible quand cible active.\n"
		.."* Positionnement personnalisé des icônes fixé.\n"
		.."* Module 'Icones' : nouveau timer pour les degats périodiques du joueur: Dot suivant. Indique pour les dots, le temps restant avant le prochain dot.\n\n"
		.."Bon amusement !",
		["versionName"]=coolName,
		["saved"]=coolName.." - Configuration sauvée: ",
		["loaded"]=coolName.." - Configuration chargée: ",
		["reset"]=coolName.." - Configuration reset.",
		["welcome"]=coolName.." - Taper '/droodfocus' pour voir les commandes.",
		["commands"]= coolName.." Commandes :\n/df options: ouvre le panneau de config principal.\n/df configmode: bascule en mode de configuration.\n/df reset: reset la configuration actuelle.\n/df buff|debuff: affiche dans le chat la liste des buff ou debuff actifs avec l'ID des sorts.\n/df center: Replacer DF au milieu de l'écran.\n/df practice: Démarre/arrête le mode d'entrainement.\n/df news: Voir le changelog.",
		["locked"]=coolName.." - Mode de configuration désactivé.",
		["reinit"]=coolName.." - Nettoyage de la configuration complet.",
		["badconfig"]=coolName.." - Configuration invalide. Version trop ancienne.",
		["unlocked"]=coolName.." - Mode de configuration activé.",
		["blood"]="Tâches de sang",
		["persistence"]="Persistence",
		["scale"]="Echelle",
		["active"]="Activé",
		["mode"]="Mode affichage",
		["level"]="Niveau du cadre",
		["ooc"]="Effet spécial",
		["positionx"]="Position X",
		["positiony"]="Position Y",
		["width"]="Largeur",
		["height"]="Hauteur",
		["scalemin"]="Echelle",
		["texts"]="Textes",
		["numbers"]="Nombres",
		["scalemax"]="Amplitude",
		["speed"]="Vitesse",
		["textureOn"]="Texture quand active",
		["textureOff"]="Texture quand inactive",
		["alert"]="Icone d'alerte",
		["texture1"]="Texture 'Derriére la cible'",
		["texture2"]="Texture 'Hors de portée'",
		["texture3"]="Texture 'Aggro'",
		["powerbar"]="Barre de puissance",
		["texturePath"]="Texture",
		["fontPath"]="Police",
		["fontSize"]="Taille police",
		["border"]="Bordures",
		["color"]="Couleur",
		["colors"]="Couleurs",
		["size"]="Taille",
		["showText"]="Texte activé",
		["default"]="Défaut",
		["nrj"]="Energie",
		["rage"]="Rage",
		["mana"]="Mana",
		["arrows"]="Fléches",
		["effects"]="Effects spéciaux",
		["parts"]="ELEMENTS DE L'ADDON",
		["configmode"]="Mode de configuration.",
		["incombat"]="Visible en combat uniquement",
		["haveTarget"]="Visible si cible active",
		["config"]="Config.",
		["healthbar"]="Barre de vie",
		["colorGood"]="Vie haute",
		["colorAverage"]="Vie moyenne",
		["colorBad"]="Vie basse",
		["text"]="Texte",
		["manabar"]="Barre de mana",
		["targetbar"]="Barre cible",
		["threatbar"]="Barre de menace",
		["combo"]="Combo",
		["offsetx"]="Décalage X",
		["offsety"]="Décalage Y",
		["icons"]="Icones",
		["activeAlpha"]="Alpha active",
		["inactiveAlpha"]="Alpha inactive",
		["timerbar"]="Barres de temps",
		["iconbar"]="Barres d'icône",
		["timerange"]="Plage de temps (en sec.)",
		["timeline"]="Lignes de temps",
		["order"]="Trier par temps restant",
		["debuffs"]="Liste (De)Buffs",
		["automatic"]="Placement automatique",
		["auto"]="Mode auto.",
		["enter"]="Entrer",
		["leave"]="Quitter",
		["infosmode"]="Dans le mode de configuration, vous pouvez déplacer les éléments à la souris et ouvrir la config de celui-çi avec le bouton droit de la souris.",
		["spells"]="Liste des sorts",
		["unknow"]="Inconnu",
		["grid"]="Grille",
		["aligngrid"]="Aligner sur la grille",
		["gridsizex"]="Grille pas X",
		["gridsizey"]="Grille pas Y",
		["none"]="Aucun",
		["TOPLEFT"]="Haut Gauche",
		["TOP"]="Haut",
		["TOPRIGHT"]="Haut Droite",
		["LEFT"]="Gauche",
		["CENTER"]="Centre",
		["RIGHT"]="Droite",
		["BOTTOMLEFT"]="Bas Gauche",
		["BOTTOM"]="Bas",
		["BOTTOMRIGHT"]="Bas Droite",
		["align"]="Alignement",
		["crit"]="Crit",
		["pa"]="PA",
		["infostext"]="Format infos",
		["infos"]="Infos",	
		["hasIcon"]="Posséde une icone",
		["ids"]="Liste IDs",
		["hastimerbar"]="Posséde une barre de temps",
		["sType"]="Type de sort",
		["isPerso"]="Uniquement vos debuffs",
		["toCombo"]="Refléte nb stack > combo",
		["up"]="Monter",
		["down"]="Desc.",
		["new"]="Nouveau",
		["kill"]="Effacer",	
		["infostance"]="Visible dans les postures suivantes: ",
		["form0"]="Humanoïde",	
		["form1"]="Posture 1",	
		["form2"]="Posture 2",	
		["form3"]="Posture 3",	
		["form4"]="Posture 4",	
		["form5"]="Posture 5",	
		["form6"]="Posture 6",
		["form7"]="Posture 7",
		["orientation"]="Orientation",
		["brokerInfo1"]="Clic gauche pour ouvrir le panneau de configuration principal",
		["brokerInfo2"]="Clic droit pour basculer le mode de configuration",
		["background"]="Fond",
		["configname"]="Nom de la configuration actuelle",
		["save"]="Sauver",
		["loadlist"]="Configuration(s) sauvée(s)",
		["DFmainpanel"]="configuration indépendante",
		["introduction"]= "DroodFocus rassemble toutes les infos utiles pour le druide féral.\n* Barres d'état : Energie, Rage, Mana, Vie.\n* Barre de Combo.\n* Barre de Buff/Debuff\n\nPour chaque buff/debuff gérés par DroodFocus, une petite icone\n(ou une barre d'état) indique le temps restant sur le debuff et le nombre de stack.\n\nLes debuffs sont filtrés pour gérer toutes les sources ou que les votres. Tous les talents et glyphes sont supportés.\n\nMerci d'utiliser DroodFocus.\n\n\nMeranannon, Discordia (Vol'jin - EU)",
		["spellid"]="ID du sort",
		["mainmain"]="Panneau de configuration",
		["anchor"]="Ancre",
		["portrait"]="Portrait",
		["texture"]="Texture",
		["None"]="Vide",
		["getUptime"]="Surveiller uptime",
		["cursorspeed"]="Vitesse de l'étincelle",
		["showSpark"]="Voir étincelle",
		["first"]=coolName.." - Premier lancement, configuration par défaut chargée.",
		["visible"]="Contenu visible",
		["ampspeed"]="Vitesse amplitude",
		["colonne"]="Nb colonnes barre 1",
		["colonne2"]="Nb colonnes barre 2",
		["spellslist"]="Grimoire",
		["strongcheck"]="Vérification stricte",
		["cooldown"]="Fin de cooldown",
		["sharemedia"]="ShareMedia",
		["mpath"]="Chemin d'accès",
		["sharemediainfos"]="Ajouter des médias à ShareMedia (reconnexion nécessaire).",
		["mtype"]="Type de média",
		["add"]="Ajouter",
		["mname"]="Nom du media",
		["test"]="Test",
		["ptype"]="Agencement",
		["linear"]="Lineaire",
		["radial"]="Radial",
		["sangle"]="Angle départ",
		["eangle"]="Angle fin",		
		["rayon"]="Rayon",	
		["gps"]="G.P.S.",
		["toffsetx"]="Offset X du texte",
		["toffsety"]="Offset Y du texte",
		["number"]="Temps",
		["stack"]="Stack",
		["DFOPTIONSelement"]="Principale",
		["leftMB"]="Bouton gauche pour déplacer",
		["rightMB"]="Bouton droit pour ouvrir la configuration",
		["rightMBanchor"]="Bouton droit pour ouvrir la configuration de cette ancre",
		["showcd"]="Cooldown activé",
		["activeAlphaCD"]="Alpha sous CD",
		["cdoffsety"]="Offset Y de la barre de CD",
		["cdbar"]="Barre de CD",
		["sound"]="Son",
		["internalcd"]="CD Interne (en sec.)",
		["growup"]="Sorts actifs en haut",
		["visibility"]="Visibilité",
		["infovisibility"]="Ensemble des objets visible uniquement dans les conditions suivantes:",
		["prop"]="Barres 1 proportionnelles",	
		["prop2"]="Barres 2 proportionnelles",	
		["usertext"]="Texte personnalisé",
		["spiral"]="Animation du compte à rebours",
		["spiral1"]="Normal, clignote a la fin",
		["spiral2"]="WoW standard",		
		["spiral3"]="WoW standard (inversé)",		
		["pointpa"]="Point de puissance d'attaque",
		["talent"]="Arbre de talent",
		["talentinfos"]="Attribuer une configuration à un arbre de talent.",
		["talentinfos2"]="Cette configuration sera chargée automatiquement au changement de spé.",
		["talentinfos3"]="Attention si vous attribuez une configuration, veillez a bien sauver les changements fait a cette configuration ou sinon ils seront perdus quand vous changerez de spé.",
		["set"]="Actuelle",
		["clear"]="Aucune",	
		["currenttalent"]="Configuration actuelle:",
		["pulse"]="Impulsion",
		["decimal"]="Voir décimal",
		["minimap"]="Voir l'icône par défaut de la minimap",
		["colorchg"]="Couleur dynamique",
		["target"]="Cible",
		["always"]="Toujours visible",
		["castbar"]="Barre d'incantation",
		["sformat"]="Formatage du texte",
		["normal"]="sort interruptible",
		["interrupt"]="sort non interruptible",
		["interval"]="Interval minimum",
		["AlertShowDebuff"]="Voir icône des debuffs",
		["AlertShowBuff"]="Voir icône des buffs",
		["pulse2"]="Impulsion à l'activation",
		["loadconfigansw"]="Que voulez-vous faire de la liste des sorts actuelle ?",
		["loadconfigkeep"]="Garder",	
		["loadconfigdisc"]="Remplacer",	
		["bearform"]="Forme d'ours",
		["aquaticform"]="Forme aquatique",
		["catform"]="Forme de félin",
		["travelform"]="Forme de voyage",
		["moonkinform"]="Forme de sélénien",
		["Tree"]="Forme d'arbre de vie",
		["flightform"]="Forme de vol",
		["plbuff"]="Buff joueur",
		["pldebuff"]="Debuff joueur",
		["tabuff"]="Buff cible",
		["tadebuff"]="Debuff cible",
		["fobuff"]="Buff focus",
		["fodebuff"]="Debuff focus",
		["pebuff"]="Buff pet",
		["pedebuff"]="Debuff pet",	
		["plcombo"]="Point de combo",
		["arrowpos1"]="Position fléche 1",
		["arrowpos2"]="Position fléche 2",
		["arrowpos3"]="Position fléche 3",
		["arrowpos4"]="Position fléche 4",								
		["arrowpos5"]="Position fléche 5",
		["arrowpos6"]="Position fléche 6",
		["practiceupd"]="Entrainement terminé. Voulez vous remplacer la liste des sorts actuelle avec la nouvelle? ?",
		["practicemode"]="Mode entrainement.",
		["practicewindow"]="Entrainement",
		["practiceCheckBuff"]="Surveiller les buffs.",
		["practiceCheckDebuff"]="Surveiller les debuffs.",
		["practiceCheckAura"]="Surveiller aussi les auras.",	
		["repyes"]="OUI",
		["repno"]="NON",	
		["stackup1"]="Barres 1 au dessus de l'ancre.",
		["stackup2"]="Barres 2 au dessus de l'ancre.",
		["anim"]="Effet special",
		["power"]="Puissance",
		["alpha"]="Opacité",
		["begin"]="entrée",
		["middle"]="active",
		["end"]="fermeture",	
		["rotate"]="Rotation",
		["infospos"]="Position",
		["infoscale"]="Echelle",
		["infoalpha"]="Opacité",
		["infospeed"]="FX Vitesse",
		["infopulse"]="FX Impulsion",
		["infossize"]="FX Dimensions et texture",	
		["chaker"]="'Chaker'",
		["animatic"]="Animation Liste",
		["fake"]="Tester",
		["fxname"]="FX Nom",
		["customtexture"]="Texture personnalisée",
		["timer"]="Timer",
		["small"]="petit modéle",
		["above"]="au dessus de l'effet",
		["eclipsebar"]="barre d'Eclipse",
		["lunaire"]="Lunaire",
		["solaire"]="Solaire",
		["copy"]="Copier",
		["paste"]="Coller",	
		["infosize"]="Dimensions",
		["NotInRaid"]="Desactivé en raid.",
		["bar1"]="Barres 1",
		["bar2"]="Barres 2",		
	}

	DF.help ={
		["ID's list"]="Liste des IDs|Séparées par un point-virgule. Vous pouvez trouver les ID dans la liste prédéfinies ou sur Wowhead.com|Par exemple, Le lien pour 'Rugissement sauvage': http://fr.wowhead.com/?spell=52610.|l'ID du sort est 52610.| |Pour le type 'ComboPoint', entrez simplement le nombre de points nécéssaire.",
		["Level"]="Level|Niveau d'affichage du cadre.|Un cadre de niveau 10 sera affiché au dessus d'un cadre de niveau inférieur.",
		["Blend mode"]="Mode de fusion|mode de fusion de la texture.|Ajoute des valeurs de transparence pour les couleurs sous-jacentes|En utilisant le canal alpha. Les zones claires sont plus visibles que les zones sombres, plus transparentes.",
		["Spell ID"]="ID du sort|L'ID du sort qui déclenche l'effet.|Vous pouvez trouver les ID sur Wowhead.com.",
		["Text offset"]="Décalage|Décalage du texte par rapport a l'origine.",
		["Point offset"]="Offset|Espace entre chaque point.",
		["Scale"]="Echelle|Niveau de grossissement.",
		["Persistence"]="Persistence|Le temps que la texture sera visible.",
		["Infos format"]="Format du texte|Les occurences suivantes seront remplacées par leurs valeurs:|"..replaceString,
		["Slide speed"]="Vitesse de déplacement|Dans le mode automatique, les icones glissent a leurs places a la vitesse séléctionée.",
		["Automatic placement"]="Placement automatique|Dans ce mode, les icones sont rangés automatiquement.",
		["Sort by timeleft"]="Trié par temps restant|Dans ce mode, les objets sont triés par temps restant.",
		["Alpha"]="Alpha|Ajuste la transparence.",
		["Time range"]="Interval de temps|Indique le temps que couvre une barre (en seconde).",
		["Time lines"]="Lignes de temps|Indique si les lignes qui courrent le long des barres sont visibles.",
		["Arrows"]="Fléches|Indique si les fléches sur la barre de puissance sont visibles.",
		["Spell type"]="Type de sort|indique si c'est un Buff ou un Debuff joueur/cible ou basé sur les points de combo|NB: pour les points de combo, les icônes ou barres sont inactives.",
		["Uptime"]="Uptime|Indique si l'uptime doit être surveillé.|L'uptime désigne le temps de présence d'un (de)buff pendant un combat.|Tapez '/df uptime' aprés un combat pour obtenir un résumé.| |Attention! valable uniquement sur un mannequin, le changement ou la perte de la cible fausse l'uptime.",
		["Scan spell"]="Filtre|Pour n'afficher que les debuffs qui vous appartiennent.",
		["Stack > Combo"]="Stack > Combo|Pour refléter le nombre d'application du sort sur la barre de combo.",
		["Cursor speed"]="Vitesse de l'étincelle|Les barres de status sont progressives. C'est la vitesse de déplacement de l'étincelle.",
		["Stance"]="Posture|Change en fonction de la classe.|Toutes les postures ne sont pas disponibles pour toutes les classes.",
		["Humanoïd"]="Posture par défaut|Disponible pour toute les classes.",
		["spark"]="Etincelle|indique si l'étincelle en bout de barre est visible.",
		["speed"]="Vitesse amplitude.",
		["position"]="Coordonnée|Par rapport a l'ancre.",
		["iposition"]="Coordonnée|Par rapport a l'ancre. Annule et remplace le placement automatique de cet icône si la valeur n'est pas égale a zero.",
		["colonne"]="Colonnes|Dans le mode automatique, indique le nombre d'icônes par ligne.",	
		["spellslist"]="Grimoire|Cliquer pour ajouter l'ID du sort a la boite de texte.|[E] Sorts du grimoire.|[C] Sorts spécials.|[P] Proc des bijoux.",
		["strongcheck"]="Vérification stricte|Le sort scanné doit avoir l'Id exacte.|Le plus souvent non activé. Par défaut, juste le nom du (de)buff est vérifié.|Mais pour certains sorts le nom est identique.|La vérification stricte permet de distinguer ces sorts.",
		["mpath"]="Chemin d'accès|Le chemin d'accès au fichier, de la forme:|  \\\\Interface\\\\AddOns\\\\DroodFocus\\\\datas\\\\statusbar.tga| |Attention! le fichier doit être présent dans son répertoire avant le lancement de WoW.|Sinon il ne sera pas valide.",
		["mname"]="Nom du media|Le nom qui apparaît dans la liste.",
		["mtype"]="Type du media|Les différents type de média gérés par ShareMedia.",	
		["ptype"]="Agencement|Méthode d'agencement des points.",
		["gps"]="G.P.S|Montre la direction ou se trouve le membre du raid/groupe ciblé.|Fonctionne uniquement pour les joueurs de votre raid/groupe.|Cette fonction est encore en phase de test et peut parfois ne pas fonctionner dans certaines zones.",
		["sound"]="Sons|Joue un son quand le joueur sort de combat.",
		["internalcd"]="CD Interne|Temps de recharge interne du sort ou du bijou en seconde (0 = pas de CD).",
		["growup"]="Sorts actifs en premier|Les sorts inactifs apparaissent en dessous.",
		["abiSound"]="Son|joue le son quand le buff/debuff est gagné ou appliqué.",
		["prop"]="Barres proportionnelles|Par défaut, les barres couvrent une plage de temps fixe.|Dans ce mode, les barres sont proportionnelles au temps restant de 0 à 100%.",	
		["blood"]="Tâches de sang|Apparaît après un coup critique.",
		["infos"]="Infos|Affiche les stats en temps réel.",
		["ooc"]="Effet spécial|Effet spécial quand le buff proc.",
		["alert"]="Icône d'alerte|Apparaît si un sort échoue parceque vous êtes trop loin ou du mauvais coté de la cible. Montre également les buffs/debuffs gagnés.",
		["portrait"]="Portrait|Affiche une texture en fonction de la posture/forme.",
		["cooldown"]="Fin de Cooldown|Un icône apparaît quand un cooldown se termine.",
		["combo"]="Combo|Affiche les points de combo du Druide/Voleur et les runes du Chevalier de la Mort.",	
		["usertext"]="Texte personnalisé|Remplace le texte par défaut sur les barres de temps.",
		["spiral"]="Animation du compte à rebours|Représentation visuelle du compte à rebours.",	
		["showcd"]="Cooldown activé|Indique si le cooldown doit être affiché.",	
		["align"]="Alignement|Point de référence pour la position de l'objet.",				
		["pointpa"]="Point de puissance d'attaque.|Petit indicateur dans le coin en haut a droite des icônes qui indique l'état de la puissance d'attaque.|Un point gris signifie que la PA est la même qu'au moment de l'application du debuff.|Un point rouge, la PA est plus basse.|Un point vert, la PA est plus haute.",
		["pulse"]="Impulsion|Les icônes pulsent a l'application du sort. Cette valeur indique la puissance de l'impulsion.",
		["pulse2"]="Impulsion|Puissance de l'impulsion.",	
		["decimal"]="Voir décimal|Voir décimal quand le temps < 3 sec.",
		["colorchg"]="Couleur dynamique|La couleur change en fonction des points de vie.",
		["target"]="Cible|L'unité utilisée pour la localisation.",
		["always"]="Toujours visible|Toujours visible quelque soit la forme/aura.",
		["castbar"]="Barre d'incantation|Montre le sort incanté/canalisé par votre cible actuelle.",
		["sformat"]="Formatage du texte|Les chaines suivantes seront remplacées par les valeurs respectives|#m: Valeur maxi.|#c: Valeur actuelle.|#p: Pourcentage.|#M: Valeur maxi en k.|#C: Valeur actuelle en k.|#P: Pourcentage flottant.|#t: Temps avant la mort en m:ss.",	
		["interval"]="Interval minimum|Interval minimum de mise à jour de la barre.",
		["arrowposition"]="Position fléche|L'ID sur sort pour voir l'energie nécéssaire.|Nombre <=100 pour un placement proportionnel.|-1 pour desactiver la fléche.",
		["anim"]="Type d'animation|Definie le type d'animation.",
		["customtexture"]="Texture personnalisée|Sans chemin d'accès, texture provenant du répertoire 'custom'."
	}

end



