﻿----------------------------------------------------------------------------------------------------
-- DroodFocus 4.1.3 - spells
-- Meranannon - Discordia - Vol'jin (EU)
-- rev 1
----------------------------------------------------------------------------------------------------

local DF = DF_namespace

local current=1
local nbSpells = 0
local nbIds=0

local currentForm = 0
local currentPA = 0
local ripFix =0

local dots={}

-- reset de la table
function DF:spells_clearDots()
	dots=table.wipe(dots)
end

-- ajoute ou met a jour un dot
function DF:spells_addDots(pTime,pTarget,pSpell,isNew)

	local nbDots=getn(dots)
	local index = nil
	
	if nbDots>0 then
		
		for il = 1,nbDots do
			
			if dots[il].cible==pTarget and dots[il].spellid==pSpell then
				index=il
				break
			end
			
		end
		
	end
	
	if index then
		
		if isNew==true then

			dots[index].dotInterval=0
			dots[index].TimeLeft=nil
		else
			dots[index].dotInterval=pTime-dots[index].heure

		end
		
		dots[index].heure=pTime
		dots[index].cible=pTarget
		dots[index].spellid=pSpell
		
	else
		-- nouvelle entrée
		index=nbDots+1

		dots[index]={}
		dots[index].heure=pTime
		dots[index].cible=pTarget
		dots[index].spellid=pSpell
		dots[index].TimeLeft=nil
		dots[index].dotInterval=0
		
	end
	
end

-- trouve un dot et retourne l'index et l'heure du dernier ticks (ou application)
function DF:spells_findDots(pTarget,pSpell)
	local nbDots=getn(dots)
	local index = nil
	
	if nbDots>0 then
		
		for i = 1,nbDots do
			
			if dots[i].cible==pTarget and dots[i].spellid==pSpell then
				return i,dots[i].heure,dots[i].dotInterval
			end
			
		end
		
	end
	
	return nil,nil,nil
	
end


function DF:spells_decDots(elapsed)
	local nbDots=getn(dots)

	if nbDots>0 then
		
		for i = 1,nbDots do
			
			dots[i].dotInterval=dots[i].dotInterval-elapsed
			
		end
		
	end
	
	return nil,nil,nil
	
end

function DF:SetupGoodSpells(num,sFind,sReplace)
		
		local temp=DF:explode ( ";", sFind )
		local nb = getn(temp)

		local spells=DF:explode ( ";", DF_config.spells[num].spellIDs )
		local nbIds = getn(spells)

		local doIt=false
		
		for ide = 1,nbIds do
			
			for i = 1,nb do
				
				if spells[ide]==temp[i] then
					doIt=true
				end
				
			end
		end
		
		if doIt then
			DF_config.spells[num].spellIDs=sReplace
		end

end
-- initialisation liste
function DF:init_spells_list()

	DF_config.fixRip=false

	if tonumber(DF_config.configversion)<419 then
		
		-- ajout auto de l'effet special OOC
		if DF_config.ooc.enable then
			table.insert(DF_config.spells, 1, {})
			DF:copyTable(DF.newSpell,DF_config.spells[1])
			
			DF_config.spells[1].spellIDs="16870"
			DF_config.spells[1].sType="BuffPlayer"
			DF_config.spells[1].icon=0
			DF_config.spells[1].timerbar=0
			
			DF_config.spells[1].FX_enable=true
			DF_config.spells[1].FX_positionx=DF_config.ooc.positionx
			DF_config.spells[1].FX_positiony=DF_config.ooc.positiony
			DF_config.spells[1].FX_width=DF_config.ooc.width
			DF_config.spells[1].FX_height=DF_config.ooc.height
			DF_config.spells[1].FX_level=DF_config.ooc.level
			DF_config.spells[1].FX_mode=DF_config.ooc.mode
			DF_config.spells[1].FX_texture="Interface\\AddOns\\DroodFocus\\datas\\fx_ooc.tga"

			DF_config.spells[1].FX_start_scale=2.5
			DF_config.spells[1].FX_middle_scale=1.25
			DF_config.spells[1].FX_end_scale=2.5

			DF_config.spells[1].FX_start_posx=0
			DF_config.spells[1].FX_middle_posx=0
			DF_config.spells[1].FX_end_posx=0
			
			DF_config.spells[1].FX_start_posy=0
			DF_config.spells[1].FX_middle_posy=0
			DF_config.spells[1].FX_end_posy=0	

			DF_config.spells[1].FX_start_alpha=0
			DF_config.spells[1].FX_middle_alpha=1
			DF_config.spells[1].FX_end_alpha=0

			DF_config.spells[1].FX_speed=40

			DF_config.spells[1].FX_pulsepower=0
			DF_config.spells[1].FX_pulsespeed=18
			DF_config.spells[1].FX_rotatespeed=0.5
			DF_config.spells[1].FX_chakerpower=1
		end
		
	end
	
	nbSpells = getn(DF_config.spells)
	
	for i = 1,nbSpells do
		
		-- init variables
		DF_config.spells[i].abiOldTimeLeft=0
		DF_config.spells[i].abiStack=0
		DF_config.spells[i].abiRipFix=0
		DF_config.spells[i].abiNextTick=0
		DF_config.spells[i].abiTimeLeft=0
		DF_config.spells[i].abiDuration=0
		DF_config.spells[i].abiAlphaPulse=0
		DF_config.spells[i].abiCD=0
		DF_config.spells[i].abiPower={}
		DF_config.spells[i].abiEnd=0
		DF_config.spells[i].abiStart=0
		DF_config.spells[i].abiFake=0

		DF_config.spells[i].abiLast=0



		if DF_config.spells[i].sType=="ComboPoint" then
			DF_config.spells[i].icon=0
			DF_config.spells[i].timerbar=0
			DF_config.spells[i].FX_enable=true
			DF_config.spells[i].abiUserText="ComboPoint"
		end
		
		if DF_config.spells[i].abiLastCd==nil then
			DF_config.spells[i].abiLastCd=0
		end
		
		DF_config.spells[i][""]=nil

		--
		-- nouvelles variables a créer
		--
		if DF_config.spells[i].FX_enable==nil then
			
			DF_config.spells[i].FX_enable=false
			
			DF_config.spells[i].FX_positionx=64
			DF_config.spells[i].FX_positiony=-64
			DF_config.spells[i].FX_width=64
			DF_config.spells[i].FX_height=64
			DF_config.spells[i].FX_level=10
			DF_config.spells[i].FX_mode="BLEND"
			DF_config.spells[i].FX_texture="Interface\\AddOns\\DroodFocus\\datas\\fx.tga"

			DF_config.spells[i].FX_start_scale=1
			DF_config.spells[i].FX_middle_scale=1
			DF_config.spells[i].FX_end_scale=1

			DF_config.spells[i].FX_start_posx=0
			DF_config.spells[i].FX_middle_posx=0
			DF_config.spells[i].FX_end_posx=0
			
			DF_config.spells[i].FX_start_posy=0
			DF_config.spells[i].FX_middle_posy=0
			DF_config.spells[i].FX_end_posy=0	

			DF_config.spells[i].FX_start_alpha=1
			DF_config.spells[i].FX_middle_alpha=1
			DF_config.spells[i].FX_end_alpha=1

			DF_config.spells[i].FX_speed=30

			DF_config.spells[i].FX_pulsepower=0
			DF_config.spells[i].FX_pulsespeed=0
			DF_config.spells[i].FX_rotatespeed=0
			
		end
		
		if DF_config.spells[i].strongcheck==nil then
			DF_config.spells[i].strongcheck=false
		end

		if DF_config.spells[i].showcd==nil then
			DF_config.spells[i].showcd=true
		end
		
		if DF_config.spells[i].showaura==nil then
			DF_config.spells[i].showaura=false
		end		

		if DF_config.spells[i].abiInternalCD==nil then
			DF_config.spells[i].abiInternalCD=0
		end

		if DF_config.spells[i].abiSound==nil then
			DF_config.spells[i].abiSound=""
		end

		if DF_config.spells[i].abiUserText==nil then
			DF_config.spells[i].abiUserText=""
		end		

		if DF_config.spells[i].alwaysVisible==nil then
			DF_config.spells[i].alwaysVisible=false
		end				

		if DF_config.spells[i].sType=="Buff" then
			DF_config.spells[i].sType="BuffPlayer"
		end		
		if DF_config.spells[i].sType=="Debuff" then
			DF_config.spells[i].sType="DebuffTarget"
		end		

		if DF_config.spells[i].form[8]==nil then
			DF_config.spells[i].form[8]=DF_config.spells[i].form[7]
		end		
				
		temp = tonumber(DF_config.spells[i].abiInternalCD)
		if temp==nil then temp=0 end
		DF_config.spells[i].abiInternalCD=temp
		
		--
		-- Fin nouvelles variables
		--
		
		-- sauve les nom des debuffs
		if DF_config.spells[i].names==nil then
			DF_config.spells[i].names={}
		else
			DF_config.spells[i].names=table.wipe(DF_config.spells[i].names)
			DF_config.spells[i].names={}
		end

		if DF_config.spells[i].ids==nil then
			DF_config.spells[i].ids={}
		else
			DF_config.spells[i].ids=table.wipe(DF_config.spells[i].ids)
			DF_config.spells[i].ids={}
		end
		
		local chaine=DF_config.spells[i].spellIDs
		
		DF:SetupGoodSpells(i,"33876;33878;33983;33987","33876;33878;46857;50271;35290;16511")
		DF:SetupGoodSpells(i,"16857;91565;770","91565;7386;8647;35387;50498;770")
		DF:SetupGoodSpells(i,"99","99;1160;702;26016")
		
		temp=DF:explode ( ";", DF_config.spells[i].spellIDs )

		nbIds = getn(temp)

		for ide = 1,nbIds do
			DF_config.spells[i].ids[ide]=tonumber(temp[ide])
			
			-- hotfix pour les ID erronées
		
			if DF_config.spells[i].ids[ide]==16857 then
				
				DF_config.spells[i].ids[ide]=91565 --new luciole farouche

			elseif DF_config.spells[i].ids[ide]==770 then
				
				DF_config.spells[i].ids[ide]=770 --new luciole

			elseif DF_config.spells[i].ids[ide]==33983 then
				
				DF_config.spells[i].ids[ide]=33876 --new mutilation félin

			elseif DF_config.spells[i].ids[ide]==33987 then
				
				DF_config.spells[i].ids[ide]=33878 --new mutilation ours

			elseif DF_config.spells[i].ids[ide]==50213 then
				
				DF_config.spells[i].ids[ide]=5217 --new fureur du tigre	
																								
			end
				
			if DF_config.spells[i].ids[ide] then
				DF_config.spells[i].names[ide] = GetSpellInfo(DF_config.spells[i].ids[ide])
			else
				DF_config.spells[i].names[ide] = nil
			end
		end
		
		DF_config.spells[i].abiSpelltext=DF_config.spells[i].names[1]
		DF_config.spells[i].abiSpellId=DF_config.spells[i].ids[1]
		
	end
	
end

--
function DF:spells_list()
	
	local it
	nbSpells = getn(DF_config.spells)
	
	-- anime
	for it = 1,nbSpells do

		DEFAULT_CHAT_FRAME:AddMessage(tostring(DF_config.spells[it].abiSpelltext).." - "..tostring(DF_config.spells[it].timerbar));

	end
	
end

-- gestion de l'animation
function DF:spells_update(elapsed)
	
	local it
	
	nbSpells = getn(DF_config.spells)
	
	currentForm = DF:currentForm()	
	currentPA = DF:spell_getPowerAttack()	
	
	-- anime
	for it = 1,nbSpells do

		-- màj temps restant
		if DF_config.spells[it].abiTimeLeft>0 then
			DF_config.spells[it].abiTimeLeft=DF_config.spells[it].abiTimeLeft-elapsed
			if DF_config.spells[it].abiTimeLeft<0 then
				DF_config.spells[it].abiTimeLeft=0
			end
		end
		
		if DF:spell_check(it) then
			DF:spells_activate(it)
		else
			DF:spells_desactivate(it)
		end

	end

	DF:spells_decDots(elapsed)
	
end

function DF:spell_exist(idcheck,namecheck,cible,filtre,strong)
	
	local index=1
	local name,debuffType,unitCaster, spellId=nil
	
	while true do 
		
		name, _, _, _, debuffType, _, _, unitCaster, _, _, spellId = UnitAura(cible, index, filtre) 

		-- plus de nom la liste est finie
		if not name then
			return nil
		end

		-- l'id correspond on tient le sort
		if spellId==idcheck then
			return index
		end
		
		index=index+1
		
	end
	
end

function DF:spell_getPowerAttack()
	
	local base, posBuff, negBuff = UnitAttackPower("player")
	local puissance = base + posBuff + negBuff
	
	if DF:spell_exist(5217,nil,"player","HELPFUL|PLAYER",true) then -- tiger fury?
		puissance=puissance*10
	end	

	return puissance
	
end

function DF:spell_check(num)

	local filter = nil
	local sType = nil
	local perso = nil
	local combo = nil
	local form = DF_config.spells[num].form
	local nbIds=0
	local debuffName = nil
	local thatOk = false
	local difference=0
	
	local targetID=nil
	local targetuse=nil
	
	local name=nil
	local count=nil
	local rank=nil
	local duration=nil
	local expirationTime=nil
	local timeLeft=nil
	local caster=nil
	local isPerso=false
	local lid=nil
	local index=nil
	local dotIndex,dotTime=nil
	
	local isActive = false
	
	--if not DF:form_goofForm(form,currentForm) then return false end

	-- récupére infos du spell
	sType = DF_config.spells[num].sType
	perso = DF_config.spells[num].perso
	combo = DF_config.spells[num].combo	

	nbIds = getn(DF_config.spells[num].ids)
		
	if (combo) then DF:combo_set(0) end		

	if sType=="DebuffTarget" or sType=="DebuffPlayer" or sType=="DebuffFocus" or sType=="DebuffPet" then
		
		if (perso) then
			filter="HARMFUL|PLAYER"
		else
			filter="HARMFUL"
		end

		targetuse=""
		
		if sType=="DebuffTarget" then
			
			targetuse="playertarget"
			
		elseif sType=="DebuffPlayer" then
			
			targetuse="player"
			
		elseif sType=="DebuffFocus" then
			
			targetuse="focus"
			
		elseif sType=="DebuffPet" then
			
			targetuse="pet"
			
		end
		
		if targetuse=="" then return false end
		
		targetID=UnitGUID(targetuse)
		if not targetID then return false end
			
		-- c'est un debuff
		thatOk = false

		-- cherche les debuffs
		for ide = 1,nbIds do
			
			-- nom du debuff
			debuffName = DF_config.spells[num].names[ide]

			if (debuffName) then
				
				index = DF:spell_exist(DF_config.spells[num].ids[ide],debuffName,targetuse,filter,DF_config.spells[num].strongcheck)
			
				-- si présent
				if (index) then
					
						thatOk = true
				
						-- sauve les infos		
						name, _, _, count, _, duration, expirationTime, caster, _, _, _ = UnitAura(targetuse, index, filter) 
						lid=DF_config.spells[num].ids[ide]									
				end
				
			end
			
		end

		-- si c'est ok
		if thatOk then
			
			-- indique si le debuff appartient au joueur
			if (caster=="player") then
				isPerso=true
			else
				isPerso=false
			end
		
			-- si c'est un sort non personnel ou personnel et qui vient du joueur
			if (not perso or (perso and isPerso)) then
				
				-- indique spell active
				isActive=true

				-- si on dispose d'une fin de debuff, on retranche l'heure courante pour obtenir le temps restant
				if (expirationTime ~= nil) then
										
					timeLeft = expirationTime - DF.currentTime
					
					if (timeLeft<0) then
						timeLeft=0;
					end
					
					-- le sort vient d'être posé
					if DF_config.spells[num].abiStart==0 then
						DF:icons_pulse(num)
						DF:sound_play(DF_config.spells[num].abiSound)	
						DF_config.spells[num].abiPower[targetID]=currentPA
						if tonumber(DF_config.spells[num].abiInternalCD)>0 then
							DF:cooldown_addCD(lid,DF.currentTime,tonumber(DF_config.spells[num].abiInternalCD))
						end		
					end
					
					-- *** Gestion de la glyphe Lambeau (shred) ***
					difference = timeLeft - DF_config.spells[num].abiOldTimeLeft
										
					-- si la différence de temps depuis le dernier cycle est >0, le temps du debuff a augmenté
					if (difference>0 and isPerso) then

						if DF_config.spells[num].abiOldTimeLeft~=0 then
							DF:icons_pulse(num)									
						end
												
						-- si la différence est supérieure a 4 secondes
						-- c'est une application ou un rafraichissement du debuff
						-- sinon c'est une augmentation de la durée du debuff par lambeau (+2 sec)
						if (difference>4) then

							-- application ou rafraichissement
							DF_config.spells[num].abiStack = 0;
							DF_config.spells[num].abiRipFix = 0;
							
							DF_config.spells[num].abiPower[targetID]=currentPA
							
						else
			
							-- lambeau
							if lid==1079 then
								DF_config.spells[num].abiStack = DF_config.spells[num].abiStack + 1;
								if DF_config.fixRip then
									DF_config.spells[num].abiRipFix=DF_config.spells[num].abiRipFix+0.25
								end
							end
							
						end
					
					end
					
					DF_config.spells[num].abiOldTimeLeft = timeLeft
					
				else
					
					timeLeft=0;
					
				end
				
				-- sauve données dans le tableau
				DF_config.spells[num].abiSpelltext=name
				DF_config.spells[num].abiSpellId=lid
				DF_config.spells[num].abiStart=expirationTime-duration
				DF_config.spells[num].abiEnd=expirationTime				
				if (count>0) then DF_config.spells[num].abiStack=count end
				DF_config.spells[num].abiTimeLeft = timeLeft-DF_config.spells[num].abiRipFix
				DF_config.spells[num].abiDuration = duration
				DF_config.spells[num].abiRank = rank

				dotIndex,dotTime,dotInterval = DF:spells_findDots(targetID,lid)
				
				-- une infos "dot" existe pour ce sort mettre a jour "nextTick"
				if dotIndex and dotInterval>0 then
					DF_config.spells[num].abiNextTick=dotInterval
					dots[dotIndex].TimeLeft=DF_config.spells[num].abiTimeLeft
				else
					DF_config.spells[num].abiNextTick=0
				end
					
				-- abilités a combo pour notre barre? et count valide?
				if (combo) then DF:combo_set(count) end							

			end
			
		end

	elseif sType=="BuffPlayer" or sType=="BuffTarget" or sType=="BuffFocus" or sType=="BuffPet" then

		if (perso) then
			filter="HELPFUL|PLAYER"
		else
			filter="HELPFUL"
		end

		targetuse=""
	
		if sType=="BuffPlayer" then
			
			targetuse="player"
			
		elseif sType=="BuffTarget" then
			
			targetuse="playertarget"
			
		elseif sType=="BuffFocus" then
			
			targetuse="focus"
			
		elseif sType=="BuffPet" then
			
			targetuse="pet"
			
		end

		if targetuse=="" then return false end

		targetID=UnitGUID(targetuse)
		if not targetID then return false end
			
		-- c'est un debuff
		thatOk = false

		-- cherche les debuffs
		for ide = 1,nbIds do
			
			-- nom du debuff
			debuffName = DF_config.spells[num].names[ide]

			if (debuffName) then
				
				index = DF:spell_exist(DF_config.spells[num].ids[ide],debuffName,targetuse,filter,DF_config.spells[num].strongcheck)
			
				-- si présent
				if (index) then
					
						thatOk = true
				
						-- sauve les infos		
						name, _, _, count, _, duration, expirationTime, caster, _, _, _ = UnitAura(targetuse, index, filter) 
						lid=DF_config.spells[num].ids[ide]									
				end
				
			end
			
		end

		-- si c'est ok
		if thatOk then
			
			-- indique si le debuff appartient au joueur
			if (caster=="player") then
				isPerso=true
			else
				isPerso=false
			end
		
			-- si c'est un sort non personnel ou personnel et qui vient du joueur
			if (not perso or (perso and isPerso)) then
				
				-- indique spell active
				isActive=true

				-- si on dispose d'une fin de debuff, on retranche l'heure courante pour obtenir le temps restant
--				if (expirationTime ~= nil) then
				if (expirationTime and expirationTime>0) then
										
					timeLeft = expirationTime - DF.currentTime
					
					if (timeLeft<0) then
						timeLeft=0;
					end
					
					-- le sort vient d'être posé
					if DF_config.spells[num].abiStart==0 then
						DF:icons_pulse(num)
						DF:sound_play(DF_config.spells[num].abiSound)	
						DF_config.spells[num].abiPower[targetID]=currentPA
						if tonumber(DF_config.spells[num].abiInternalCD)>0 then
							DF:cooldown_addCD(lid,DF.currentTime,tonumber(DF_config.spells[num].abiInternalCD))
						end		

						if DF_config.spells[num].abiLast>0 then
							
							abiLastCd=DF.currentTime-DF_config.spells[num].abiLast
							
							if abiLastCd<DF_config.spells[num].abiLastCd or DF_config.spells[num].abiLastCd==0 then
								DF_config.spells[num].abiLastCd=abiLastCd
							end
							
						end
					
						DF_config.spells[num].abiLast=DF.currentTime

					end
					
					-- *** Gestion de la glyphe Lambeau (shred) ***
					difference = timeLeft - DF_config.spells[num].abiOldTimeLeft
										
					-- si la différence de temps depuis le dernier cycle est >0, le temps du debuff a augmenté
					if (difference>0 and isPerso) then
									
						if DF_config.spells[num].abiOldTimeLeft~=0 then
							DF:icons_pulse(num)									
						end
												
						-- si la différence est supérieure a 3 secondes (2 secondes plus 1 seconde pour le lag),
						-- c'est une application ou un rafraichissement du debuff
						-- sinon c'est une augmentation de la durée du debuff par lambeau (+2 sec)
						-- !!! pê un probléme si rafraichissement avant 2 sec aprés application !!!
						if (difference>3) then
							
							-- application ou rafraichissement
							DF_config.spells[num].abiStack = 0;
							DF_config.spells[num].abiPower[targetID]=currentPA
							
						else
							
							-- lambeau
							DF_config.spells[num].abiStack = DF_config.spells[num].abiStack + 1;
							
						end
					
					end
					
					DF_config.spells[num].abiOldTimeLeft = timeLeft
					
				else
					
					timeLeft=200000;
					
				end
				
				-- sauve données dans le tableau
				DF_config.spells[num].abiSpelltext=name
				DF_config.spells[num].abiSpellId=lid
				DF_config.spells[num].abiStart=expirationTime-duration
				DF_config.spells[num].abiEnd=expirationTime				
				if (count>0) then DF_config.spells[num].abiStack=count end
				DF_config.spells[num].abiTimeLeft = timeLeft
				DF_config.spells[num].abiDuration = duration
				DF_config.spells[num].abiRank = rank
					
				-- abilités a combo pour notre barre? et count valide?
				if (combo) then DF:combo_set(count) end							

			end
			
		end
		
	elseif sType=="ComboPoint" then	
		
		if DF:form_goofForm(form,currentForm) then
		
			nbc = GetComboPoints(UnitHasVehicleUI("player") and "vehicle" or "player", "target");
			nbr = tonumber(DF_config.spells[num].ids[1])
			
			if not nbc or nbc==nil then nbc=0 end		
			if not nbr or nbr==nil then nbr=0 end		
					
--			MonitorLine(1,"Number combo: "..tostring(nbc))
--			MonitorLine(2,"requiert combo: "..tostring(nbr))
			
			if nbc>0 and nbr>0 and nbc>=nbr then
				DF_config.spells[num].abiFake=2
			else
				if DF_config.spells[num].abiFake<2 then
					DF_config.spells[num].abiFake=0
				end
			end
			
		end
		return false
		
	else
		
		return false
		
	end
	
	return isActive

end

function DF:spells_activate(numero)
	DF:icons_activate(numero)
end

function DF:spells_desactivate(numero)
	nbSpells = getn(DF_config.spells)

	if numero then

		DF_config.spells[numero].abiOldTimeLeft=0
		DF_config.spells[numero].abiStack=0
		DF_config.spells[numero].abiTimeLeft=0
		DF_config.spells[numero].abiDuration=0
		DF_config.spells[numero].abiAlphaPulse=0
		DF_config.spells[numero].abiCD=0
		DF_config.spells[numero].abiNextTick=0
		--DF_config.spells[numero].abiPower=0
		DF:spells_clearPA(numero)
		DF_config.spells[numero].abiEnd=0
		DF_config.spells[numero].abiStart=0
		
		DF:icons_desactivate(numero)
		
	else
		
		for numero = 1,nbSpells do
	
			DF_config.spells[numero].abiTimeLeft=0
			DF_config.spells[numero].abiOldTimeLeft=0
			DF_config.spells[numero].abiStack=0
			DF_config.spells[numero].abiEnd=0
			DF_config.spells[numero].abiNextTick=0
			--DF_config.spells[numero].abiPower=0
			DF:spells_clearPA(numero)
			
			DF:icons_desactivate(numero)		
			
		end
		
	end
	
end

function DF:spells_list_reinit()
	DF:init_spells_list()
	DF:icons_reinit()
	DF:timerbar_reinit()
	DF:init_ooc_frame()
end

function DF:spells_clearPA(num)
	local it
	
	if not num then
		
		nbSpells = getn(DF_config.spells)
		for it = 1,nbSpells do
			DF_config.spells[it].abiPower = table.wipe(DF_config.spells[it].abiPower)
		end
		
	else
		
		for index, _ in pairs(DF_config.spells[num].abiPower) do
			DF_config.spells[num].abiPower[index]=0
		end	
				
	end
end
